%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  ibdsegments
%global packver   1.0.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0.1
Release:          1%{?dist}%{?buildtag}
Summary:          Identity by Descent Probability in Pedigrees

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildRequires:    R-CRAN-Rcpp 
BuildRequires:    R-CRAN-pedtools 
BuildRequires:    R-CRAN-expm 
Requires:         R-CRAN-Rcpp 
Requires:         R-CRAN-pedtools 
Requires:         R-CRAN-expm 

%description
Identity by Descent (IBD) distributions in pedigrees. A Hidden Markov
Model is used to compute identity coefficients, simulate IBD segments and
to derive the distribution of total IBD sharing and segment count across
chromosomes. The methods are applied in Kruijver (2025)
<doi:10.3390/genes16050492>. The probability that the total IBD sharing is
zero can be computed using the method of Donnelly (1983)
<doi:10.1016/0040-5809(83)90004-7>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
